
macro restore_block_start : ld (sp_save),sp : di : ld sp,hl : ld h,d : ld l,e : set 6,h : set 7,h : mend
macro restore_block_end : ld (sp_save_2),sp : ld sp,(sp_save) : ei : ret : mend
macro rnl : pop bc : add hl,bc : ex hl,de : add hl,bc : ex hl,de : mend
macro ldi2 : ld a,(hl) : ld (de),a : mend
macro ril : inc hl : inc de : mend
macro rdl : dec hl : dec de : mend

macro il:inc hl:mend
macro dl:dec hl:mend
macro pv v:ld (hl),v:mend
macro tl v:ld a,(hl):and #AA:or v:ld(hl),a:mend
macro tr v:ld a,(hl):and #55:or v:ld(hl),a:mend
macro tl0 v:ld a,(hl):and #AA:ld(hl),a:mend
macro tr0 v:ld a,(hl):and #55:ld(hl),a:mend
macro nl2:pop bc:add hl,bc:mend	; 6
macro allow_interrupts:ld (sp_save_2),sp:ld sp,(sp_save):ei:nop:di:ld sp,(sp_save_2):mend

macro Screen_SetMode value : di : ld b,value : ld a,(mode_rom) : and &fc : or b : ld (mode_rom),a : ld b,&7f : out (c),a : ei : nop : mend

