nolist
org #2000
run #2000

write direct "bigdude.bin"

read "macros.asm"

    ld b,10
    ld hl,filename
    ld de,&8000
    call &BC77			; Open the file

    ld hl,&4000
    call &bc83			; Read background into frame buffer 0

    call &bc7a			; Close the file

    di
    ld bc,int_handler
    ld (&39),bc			; Set own interrupt handler
    ld sp,&100			; Set new SP
    ei

    Screen_SetMode 0		; Set Mode 0

    ld hl,&4000
    ld de,&8000
    ld bc,&8000
    ldir			; Copy frame buffer 0 to frame buffers 1 and 2

    call Screen_SetInks		; Set inks

loop	    di
	    call Keyboard_Scan_Int	; Scan keyboard
	    ei
	    ld ix,BigDude_Sprite
	    call Sprite_Erase		; Erase sprite
	    call Sprite_Update		; Update sprite
	    call Sprite_Draw		; Draw sprite
	    call Screen_SwapBuffers	; Swap buffers
	    jp loop

sp_save 	dw 0
sp_save_2 	dw 0
mode_rom 	db %10001100
filename	db "SCREEN.BIN"


read "Offset_Deltas.asm"
read "BigDude_Draw.asm"
read "BigDude_Erase.asm"
read "BigDude_Update.asm"
read "Screen.asm"
read "Sprite.asm"
read "Keyboard.asm"


int_handler	ei
		ret




