BigDude_Sprite
                db 1				; +0		State
                dw 0				; +1		Speed Y
                db 0				; +3		Y lo
                db 0				; +4		Y
                dw 0				; +5		Speed X
                db 0				; +7		X lo
                db 0				; +8		X
                db 0				; +9		Animation state
                dw 0				; +10		Drawing destination pointer
                dw 0				; +12		Drawing offset delta pointer
                dw 0				; +14		Old destination pointer
                dw 0				; +16		Old offset delta pointer
                dw 0				; +18		Pointer to custom data
                dw BigDude_Draw		        ; +20		Drawing routine
                dw 0	                        ; +22		Collision routine
                dw BigDude_Erase                ; +24		Restore routine
                dw BigDude_Update               ; +26		Update routine
                db 0				; +28		Extra data
                dw 0 				; +29		Last collision map address
                db 1				; +31		Sprite index
                dw 0				; +32		Reserved
                db 0				; +34		Drawing animation state
                db 0				; +35		Old animation state

Sprite_GetDrawingCoordinates

                        ld a,24
                        ld d,(ix+4)
                        ld a,d
                        and %11111000
                        ld l,a
                        ld h,0
                        add hl,hl    
                        ld b,h
                        ld c,l
                        add hl,hl
                        add hl,hl    
                        add hl,bc
                        ld a,d
                        and %111
                        ld c,a
                        rlca
                        rlca
                        rlca
                        ld d,a
                        ld a,(drawing_buffer)
                        add d
                        ld d,a
                        ld e,(ix+8)
                        add hl,de
                        rlc c
                        ld b,0
                        ex hl,de
                        ld hl,Offset_Deltas
                        add hl,bc

			ld (ix+10),l				
			ld (ix+11),h
			ld (ix+12),e
			ld (ix+13),d
			ld (ix+34),a
			ret

Sprite_Draw		ld c,(ix+20)
			ld b,(ix+21)
			ld (__sprite_draw_jump),bc
			call Sprite_GetDrawingCoordinates
__sprite_draw_jump	equ $+1
			jp 0


Sprite_Erase		ld l,(ix+14)
			ld h,(ix+15)
			ld a,h
			or l
			jr z,__s_br_skip
			ld e,(ix+16)
			ld d,(ix+17)
			ld a,(ix+35)
			ld c,(ix+24)
			ld b,(ix+25)
        		ld (__s_br_address),bc
__s_br_address		equ $+1
			call 0
__s_br_skip	        ld a,(ix+10)
	        	ld (ix+14),a
        		ld a,(ix+11)
			ld (ix+15),a
			ld a,(ix+12)
			ld (ix+16),a
			ld a,(ix+13)
			ld (ix+17),a
			ld a,(ix+34)
			ld (ix+35),a
			ret

Sprite_Update		ld l,(ix+26)
			ld h,(ix+27)
			jp (hl)